%define	oname	DirectFB
%define api	1.7
%define	major	5
%define	libname	%mklibname %{name} %{api} %{major}
%define develname %mklibname %name -d

%define build_multi	0
%{?_without_multi: %{expand: %%global build_multi 0}}
%{?_with_multi: %{expand: %%global build_multi 1}}

Summary:	Hardware graphics acceleration library
Name:		directfb
Version:	1.7.5
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
Source0:	http://directfb.org/downloads/Core/%{oname}-1.7/%{oname}-%{version}.tar.xz
Patch0:		03_link_static_sysfs.patch
Patch1:		DirectFB-1.6.1-link-static-ar.patch
Patch3:		DirectFB-1.2.7-sincos-x86_64.patch
Patch4:		DirectFB-1.4.2-x11-linkage.patch
Patch6:		DirectFB-1.4.2-unicode.patch
Patch7:		DirectFB-1.7.1-svg-includedir.patch
Patch8:		DirectFB-1.5.3-add-missing-davinci-files.patch
Patch9:		DirectFB-1.6.1-gcc-atomics-on-arm.patch
Patch10:	DirectFB-1.7.5-CVE-2014-2977.patch
Patch11:	DirectFB-1.7.5-CVE-2014-2978.patch
URL:		http://directfb.org/
BuildRequires: %{_lib}drm-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gbm1-devel
BuildRequires: %{_lib}jasper-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}mad-devel
BuildRequires: %{_lib}mesaegl1-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}mesaglesv2_2-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}vdpau-devel
BuildRequires: %{_lib}vncserver-devel
BuildRequires: %{_lib}webp-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires:	tslib-devel
BuildRequires:	zlib-devel
BuildRequires:	libsysfs2-devel
%if %{build_multi}
BuildRequires:	fusion-devel >= 3.0
%endif

%description
DirectFB hardware graphics acceleration - libraries.

%package -n	%{libname}
Summary:        Shared library part of %{oname}
Group:		System/Libraries

%description -n	%{libname}
DirectFB hardware graphics acceleration - libraries.

This package contains the %{oname} shared library and interface modules.
It's required for running apps based on %{oname}.


%package -n	%{develname}
Group:		Development/Libraries
Summary:	Header files for compiling DirectFB applications
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}

%description -n	%{develname}
DirectFB header files for building applications based on %{oname}. 

%package	doc
Summary:	DirectFB - documentation
Group:		Documentation
BuildArch:	noarch

%description	doc
DirectFB documentation and examples.

%prep
%setup  -q -n %{oname}-%{version}
%patch0 -p1 -b .sysfs
%patch1 -p1 -b .link-static-ar
%patch3 -p1
%patch4 -p1 -b .x11-linkage
%patch6 -p1 -b .unicode
%patch7 -p0 -b .svg
%patch8 -p1
%patch9 -p1
%patch10 -p0 -b .CVE-2014-2977
%patch11 -p0 -b .CVE-2014-2978
autoreconf -if

%build
%configure2_5x \
	--disable-maintainer-mode \
	--enable-shared \
	--disable-static \
	--disable-fast-install \
	--disable-dependency-tracking \
	--disable-debug \
%ifarch %{ix86}
	--disable-mmx --disable-sse \
%endif
%if %{build_multi}
	--enable-multi
%else
	--disable-multi
%endif

%make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

# multiarch policy
%multiarch_binaries %{buildroot}%{_bindir}/directfb-config

%files -n %{libname}
%{_libdir}/lib*%{api}.so.%{major}*
%{_libdir}/directfb-%{api}-%{major}
%{_datadir}/directfb-%{version}
%ifarch %arm
%{_libdir}/libdavinci_c64x.so.0*
%endif

%files -n %{develname}
%{_bindir}/dfbdump
%{_bindir}/dfbdumpinput
%{_bindir}/dfbfx
%{_bindir}/dfbg
%{_bindir}/dfbinfo
%{_bindir}/dfbinput
%{_bindir}/dfbinspector
%{_bindir}/dfblayer
%{_bindir}/dfbmaster
%{_bindir}/dfbpenmount
%{_bindir}/dfbplay
%{_bindir}/dfbscreen
%{_bindir}/dfbshow
%{_bindir}/dfbswitch
%{_bindir}/directfb-config
%{_bindir}/directfb-csource
%{_bindir}/mkdfiff
%{_bindir}/mkdgiff
%{_bindir}/mkdgifft
%{_bindir}/pxa3xx_dump
%ifarch %arm
%{_bindir}/c64xdump
%endif
%multiarch %{multiarch_bindir}/directfb-config
%{_includedir}/directfb
%{_includedir}/directfb-internal
%{_includedir}/++dfb
%{_mandir}/man1/directfb-csource.1*
%{_mandir}/man1/dfbg.1*
%{_mandir}/man5/directfbrc.5*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

%files doc
%doc docs/html/*

%clean
rm -rf %buildroot


%changelog
* Fri Dec 02 2016 adrianomorselli <adrianomorselli> 1.7.5-1uplos2016
- rebuild

* Fri Jul 15 2016 bb <bb> 1.7.5-2pclos2016
- update for 2016
- security update

* Wed Aug 20 2014 bb <bb> 1.7.5-1pclos2014
- update
